---
id: "SimpleCalendar.Hooks.Year"
title: "Interface: Year"
sidebar_label: "Year"
custom_edit_url: null
pagination_next: null
pagination_prev: null
---

[SimpleCalendar](../namespaces/SimpleCalendar.md).[Hooks](../namespaces/SimpleCalendar.Hooks.md).Year

**`deprecated`** Please use the [DateChangeResponse.date](SimpleCalendar.Hooks.DateChangeResponse.md#date) property. This will be removed when Foundry v10 stable is released.

## Properties

### isLeapYear

• **isLeapYear**: `boolean`

If this year is a leap year.

___

### number

• **number**: `number`

This is the current years numerical representation.

___

### postfix

• **postfix**: `string`

This is the test that appears after the years numerical representation.

___

### prefix

• **prefix**: `string`

This is the text that appears before the years numerical representation.
